=== debian/changelog ===
ros-iron-nav2-amcl (1.2.2-2jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Mohammad Haghighipanah <mohammad.haghighipanah@intel.com>  Mon, 11 Sep 2023 03:39:44 -0000
