=== debian/control ===
Source: ros-iron-nav2-amcl
Section: misc
Priority: optional
Maintainer: Mohammad Haghighipanah <mohammad.haghighipanah@intel.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-geometry-msgs, ros-iron-launch-ros, ros-iron-launch-testing, ros-iron-message-filters, ros-iron-nav-msgs, ros-iron-nav2-common, ros-iron-nav2-msgs, ros-iron-nav2-util, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-sensor-msgs, ros-iron-std-srvs, ros-iron-tf2, ros-iron-tf2-geometry-msgs, ros-iron-tf2-ros, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-nav2-amcl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-geometry-msgs, ros-iron-launch-ros, ros-iron-launch-testing, ros-iron-message-filters, ros-iron-nav-msgs, ros-iron-nav2-msgs, ros-iron-nav2-util, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-sensor-msgs, ros-iron-std-srvs, ros-iron-tf2, ros-iron-tf2-geometry-msgs, ros-iron-tf2-ros, ros-iron-ros-workspace
Description: amcl is a probabilistic localization system for a robot moving in 2D.
 It implements the adaptive (or KLD-sampling) Monte Carlo localization approach (as described by Dieter Fox), which uses a particle filter to track the pose of a robot against a known map. This node is derived, with thanks, from Andrew Howard's excellent 'amcl' Player driver.
